<template>
  <div class="main">
    <Legend text="Mes projets"/>
    <div class="catchphrase">Quelques projets.</div>
    <kinesis-container event="scroll" id="projects">
      <kinesis-element
          v-for="(project, index) in projects"
          :key="index"
          :strength="-400"
          class="project"
      >
        <div class="content">
          <p class="name"> {{ project.title }} </p>
          <p class="subtitle"> {{ project.subtitle }} </p>
          <p class="description">{{ project.description }}</p>
        </div>
        <div class="actions" v-if="project.link">
          <a :href="project.link" target="_blank" class="more">
            <div class="pills">
              En savoir plus
            </div>
          </a>
        </div>
      </kinesis-element>
    </kinesis-container>
  </div>
</template>

<script>
import Legend from "@/section/Legend";
export default {
  components: {Legend},
  data() {
    return {
      projects: [
        {
          title: "Blog",
          subtitle: "Projet personnel - 2018",
          description: "Ce projet m'a permis d'appréhender de nouvelles technologies web qui sont utilisées dans la majorité des nouveaux projets.",
          link: "https://gitlab.com/gurvan.lorans/sudoku"
        },
        {
          title: "Sudoku",
          subtitle: "Projet personnel - 2019",
          description: "Ce projet permet de générer une grille de sudoku d'une dimension sélectionnée et de la jouer",
          link: "https://gitlab.com/gurvan.lorans/sudoku"
        },
        {
          title: "Dwarf API",
          subtitle: "Projet personnel - 2020",
          description: "Cette API est utilisée au sein d'un projet privé que je développe elle permet la gestion d'un clicker",
          link: "https://gitlab.com/gurvan.lorans/dwarf-api"
        },
        {
          title: "Arouez",
          subtitle: "Projet privé - 2020",
          description: "Développement d'un jeu d'enquête à l'aide de technologies web.  ",
        },
        {
          title: "Exploman",
          subtitle: "Projet privé - 2020",
          description: "Ce jeu respecte les règles du Bomberman. Il a l'avantage d'être fait en 3D à l'aide de Godot Engine",
        },
      ]
    }
  }
}
</script>
<style scoped lang="scss">
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');
$primary-color: #5B71EB;

  * {
    font-family: 'Poppins', sans-serif;
  }

  #projects {
    margin-top: 80px;
    margin-bottom: 80px;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: 5px;
  }

  .main {
    padding: calc(100vw / 12);
    background-color: bisque;
  }

  .catchphrase {
    font-size: 72px;
    line-height: 1.16667;
    letter-spacing: -.5px;
    font-weight: 600;
    width: 100%;
  }

  .project {
    display: flex;
    flex-direction: column;
    flex: 1;
    align-items: center;
    justify-content: flex-start;
    border-radius: 20px;
    width: 30%;
    min-width: 150px;
    max-width: 300px;
    padding: 50px 40px 60px 40px;

    .name {
      font-size: 32px;
      line-height: 1.5;
      letter-spacing: -.15px;
    }

    .content {
      flex-grow: 1;
    }

    .description, .subtitle {
      color: #6b6b6b;
    }

    .actions {
      padding: 5px 10px;
      background-color: #5B71EB;
      border-radius: 5px;
      a {
        text-decoration: none;
        color: white;
      }
    }

  }

@media (max-width: 960px) {
  .catchphrase {
    font-size: 56px;
  }

  .project {
    padding: 25px 20px 30px 20px;
  }
}

@media (hover: hover) and (pointer: fine) {
  .project:hover {
    box-shadow: 0 10px 30px #D1D1D1;
    transform: scale(1.1)!important;
    transition: ease 2s;
  }

  .actions {
    top: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s, opacity .5s linear;

    a {
      text-decoration: none;

      .pills {
        width: 100px;
        height: 100px;
        border-radius: 100%;
        background-color: #00113B;
        color: white;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
      }
    }
  }


  .project:hover{
    box-shadow: 0 10px 30px #D1D1D1;

    & > .actions {
      opacity: 1;
      visibility: visible;
    }
  }
}
</style>
